<?xml version="1.0" encoding="utf-8"?>
<permissions>
    <privapp-permissions package="com.huawei.android.hwupgradeguide">
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.browser">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="com.huawei.android.permission.GET_CHR_DATA"/>
        <permission name="com.huawei.hidata.permission.MPLINK_START_CHECK"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="com.huawei.permission.sec.MDM_NETWORK_MANAGER"/>
        <permission name="com.huawei.wifi.permission.PORTAL_LOADING_RECV"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.hiaction">
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.hiai">
        <permission name="android.permission.READ_DREAM_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.hiai.awareness.permission.NOTIFY_RESTART_SERVICE"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_INPUT"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.intelligent">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.hiai.awareness.permission.NOTIFY_RESTART_SERVICE"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.HICAR_DISPLAY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.meetime">
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_DREAM_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.aps.permission.UPDATE_APS_INFO"/>
        <permission name="com.huawei.permission.EXT_DISPLAY_UI_PERMISSION"/>
        <permission name="com.huawei.permission.HICAR_DISPLAY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.nb.service">
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.recsys">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCATION_HARDWARE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.hiai.awareness.permission.NOTIFY_RESTART_SERVICE"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.scanner">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.search">
        <permission name="android.permission.GLOBAL_SEARCH"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_WALLPAPER_INTERNAL"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

</permissions>
